csEvent Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
csEvent Class Reference

This class represents a system event. More...

`#include <csutil/csevent.h>`

Inheritance diagram for csEvent:

List of all members.

## Public Member Functions
virtual bool | Add (const char *name, float v)
| Add an attribute to the event.
virtual bool | Add (const char *name, double v)
| Add an attribute to the event.
virtual bool | Add (const char *name, const char *v)
| Add an attribute to the event.
virtual bool | Add (const char *name, const void *v, size_t size)
| Add an attribute to the event.
virtual bool | Add (const char *name, bool v)
| Add an attribute to the event.
virtual bool | Add (const char *name, iEvent *v)
| Add an attribute to the event.
virtual bool | Add (const char *name, iBase *v)
| Add an attribute to the event.
virtual bool | Add (const char *name, void *v)
| Add an attribute to the event.
virtual bool | AttributeExists (const char *name)
| Test whether an attribute exists.
| csEvent ()
| Empty initializer.
| csEvent (csEvent const &)
| Cloning constructor.
| csEvent (csTicks iTime, csEventID iName, bool iBroadcast)
| Basic constructor.
virtual csRef < iEventAttributeIterator > | GetAttributeIterator ()
| Get an iterator for all attributes.
virtual csEventAttributeType | GetAttributeType (const char *name)
| Query the type of an attribute.
const csEventID | GetName ()
| Return the event's name.
virtual bool | Remove (const char *name)
| Remove a specific attribute.
virtual bool | RemoveAll ()
| Remove all attributes.
virtual csEventError | Retrieve (const char *name, int64 &value) const
| Retrieve an attribute from the event.
virtual csEventError | Retrieve (const char *name, uint64 &value) const
| Retrieve an attribute from the event.
virtual csEventError | Retrieve (const char *name, float &v) const
| Retrieve an attribute from the event.
virtual csEventError | Retrieve (const char *name, double &v) const
| Retrieve an attribute from the event.
virtual csEventError | Retrieve (const char *name, const char *&v) const
| Retrieve an attribute from the event.
virtual csEventError | Retrieve (const char *name, const void *&v, size_t &size) const
| Retrieve an attribute from the event.
virtual csEventError | Retrieve (const char *name, bool &v) const
| Retrieve an attribute from the event.
virtual csEventError | Retrieve (const char *name, csRef< iEvent > &v) const
| Retrieve an attribute from the event.
virtual csEventError | Retrieve (const char *name, csRef< iBase > &v) const
| Retrieve an attribute from the event.
virtual csEventError | Retrieve (const char *name, void *&v) const
| Retrieve an attribute from the event.
virtual | ~csEvent ()
| Destructor.

## Detailed Description

This class represents a system event.

Events can be generated by hardware (keyboard, mouse) as well as by software. There are so much constructors of this class as much different types of events exists.

Definition at line 54 of file csevent.h.

## Constructor & Destructor Documentation

csEvent::csEvent | ( |  | ) |

Empty initializer.

csEvent::csEvent | ( | csEvent const & |  | ) |

Cloning constructor.

Note that for command style events, this performs only a shallow copy of the `Info' attribute.

csEvent::csEvent | ( | csTicks | iTime,
|  | csEventID | iName,
|  | bool | iBroadcast
| ) |  |

Basic constructor.

virtual csEvent::~csEvent | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual bool csEvent::Add | ( | const char * | name,
|  | float | v
| ) |  | `[virtual]`

Add an attribute to the event.

Implements iEvent.

virtual bool csEvent::Add | ( | const char * | name,
|  | double | v
| ) |  | `[virtual]`

Add an attribute to the event.

Implements iEvent.

virtual bool csEvent::Add | ( | const char * | name,
|  | const char * | v
| ) |  | `[virtual]`

Add an attribute to the event.

Implements iEvent.

virtual bool csEvent::Add | ( | const char * | name,
|  | const void * | v,
|  | size_t | size
| ) |  | `[virtual]`

Add an attribute to the event.

Implements iEvent.

virtual bool csEvent::Add | ( | const char * | name,
|  | bool | v
| ) |  | `[virtual]`

Add an attribute to the event.

Implements iEvent.

virtual bool csEvent::Add | ( | const char * | name,
|  | iEvent * | v
| ) |  | `[virtual]`

Add an attribute to the event.

Implements iEvent.

virtual bool csEvent::Add | ( | const char * | name,
|  | iBase * | v
| ) |  | `[virtual]`

Add an attribute to the event.

Implements iEvent.

virtual bool csEvent::Add | ( | const char * | name,
|  | void * | v
| ) |  | `[virtual]`

Add an attribute to the event.

Implements iEvent.

virtual bool csEvent::AttributeExists | ( | const char * | name | ) | `[virtual]`

Test whether an attribute exists.

Implements iEvent.

virtual csRef<iEventAttributeIterator> csEvent::GetAttributeIterator | ( |  | ) | `[virtual]`

Get an iterator for all attributes.

Implements iEvent.

virtual csEventAttributeType csEvent::GetAttributeType | ( | const char * | name | ) | `[virtual]`

Query the type of an attribute.

Implements iEvent.

const csEventID csEvent::GetName | ( |  | ) | `[virtual]`

Return the event's name.

Implements iEvent.

virtual bool csEvent::Remove | ( | const char * | name | ) | `[virtual]`

Remove a specific attribute.

Implements iEvent.

virtual bool csEvent::RemoveAll | ( |  | ) | `[virtual]`

Remove all attributes.

Implements iEvent.

virtual csEventError csEvent::Retrieve | ( | const char * | name,
|  | int64 & | v
| ) |  | const`[inline, virtual]`

Retrieve an attribute from the event.

Implements iEvent.

Definition at line 245 of file csevent.h.

virtual csEventError csEvent::Retrieve | ( | const char * | name,
|  | uint64 & | v
| ) |  | const`[inline, virtual]`

Retrieve an attribute from the event.

Implements iEvent.

Definition at line 267 of file csevent.h.

virtual csEventError csEvent::Retrieve | ( | const char * | name,
|  | float & | v
| ) |  | const`[virtual]`

Retrieve an attribute from the event.

Implements iEvent.

virtual csEventError csEvent::Retrieve | ( | const char * | name,
|  | double & | v
| ) |  | const`[virtual]`

Retrieve an attribute from the event.

Implements iEvent.

virtual csEventError csEvent::Retrieve | ( | const char * | name,
|  | const char *& | v
| ) |  | const`[virtual]`

Retrieve an attribute from the event.

Implements iEvent.

virtual csEventError csEvent::Retrieve | ( | const char * | name,
|  | const void *& | v,
|  | size_t & | size
| ) |  | const`[virtual]`

Retrieve an attribute from the event.

Implements iEvent.

virtual csEventError csEvent::Retrieve | ( | const char * | name,
|  | bool & | v
| ) |  | const`[virtual]`

Retrieve an attribute from the event.

Implements iEvent.

virtual csEventError csEvent::Retrieve | ( | const char * | name,
|  | csRef< iEvent > & | v
| ) |  | const`[virtual]`

Retrieve an attribute from the event.

Implements iEvent.

virtual csEventError csEvent::Retrieve | ( | const char * | name,
|  | csRef< iBase > & | v
| ) |  | const`[virtual]`

Retrieve an attribute from the event.

Implements iEvent.

virtual csEventError csEvent::Retrieve | ( | const char * | name,
|  | void *& | v
| ) |  | const`[virtual]`

Retrieve an attribute from the event.

Implements iEvent.

The documentation for this class was generated from the following file:

- csutil/csevent.h